path: /build/build/gitea-www-apps-1.22.1+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="filecaps" emerge www-apps/gitea -pv -t && \
    USE="filecaps" emerge -j ${JOBS} --nodeps www-apps/gitea
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gitea && luet-portage --dir /pkgdir/gitea
    www-apps/gitea && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  - setcap cap_net_bind_service+ep /pkgdir/gitea/usr/bin/gitea
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:e6c6379d0723603b9d4e97bbea12e61869f0eed309b9683beb88baec8d986e52
  package:
    name: gitea
    version: 1.22.1+1
    category: www-apps
    use_flags:
    - filecaps
    requires:
    - name: macaroni-funtoo-race18
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A painless self-hosted Git service
    uri:
    - https://gitea.com https://github.com/go-gitea/gitea
    license: Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT MPL-2.0
    buildtimestamp: 2024-08-31 07:14:31.714552732 +0000 UTC m=+443.645314804
    labels:
      BDEPEND: '>=dev-lang/go-1.21:= >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig'
      DEPEND: sys-libs/pam filecaps? ( sys-libs/libcap ) sys-apps/shadow
      IUSE: systemd +filecaps
      RDEPEND: sys-libs/pam dev-vcs/git virtual/tmpfiles
      emerge.packages: www-apps/gitea
      kit: net-kit
      original.package.name: www-apps/gitea
      original.package.slot: "0"
      original.package.version: 1.22.1
    treedir: /build/packages
  package_dir: /pkgdir/gitea
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b9e8959bdf6d6d03465540f0139a709343c84cfba8533b15f604f9a62404e64a
compressiontype: zstd
files:
- etc/conf.d/gitea
- etc/gitea/app.ini
- etc/init.d/gitea
- usr/bin/gitea
- usr/lib/tmpfiles.d/gitea.conf
- usr/share/doc/gitea-1.22.1/CHANGELOG.md.bz2
- usr/share/doc/gitea-1.22.1/CONTRIBUTING.md.bz2
- usr/share/doc/gitea-1.22.1/README.md.bz2
- usr/share/doc/gitea-1.22.1/app.example.ini.bz2
- var/db/pkg/www-apps/gitea-1.22.1/BDEPEND
- var/db/pkg/www-apps/gitea-1.22.1/BUILD_TIME
- var/db/pkg/www-apps/gitea-1.22.1/CATEGORY
- var/db/pkg/www-apps/gitea-1.22.1/CBUILD
- var/db/pkg/www-apps/gitea-1.22.1/CFLAGS
- var/db/pkg/www-apps/gitea-1.22.1/CHOST
- var/db/pkg/www-apps/gitea-1.22.1/CONTENTS
- var/db/pkg/www-apps/gitea-1.22.1/COUNTER
- var/db/pkg/www-apps/gitea-1.22.1/CTARGET
- var/db/pkg/www-apps/gitea-1.22.1/CXX
- var/db/pkg/www-apps/gitea-1.22.1/CXXFLAGS
- var/db/pkg/www-apps/gitea-1.22.1/DEFINED_PHASES
- var/db/pkg/www-apps/gitea-1.22.1/DEPEND
- var/db/pkg/www-apps/gitea-1.22.1/DESCRIPTION
- var/db/pkg/www-apps/gitea-1.22.1/EAPI
- var/db/pkg/www-apps/gitea-1.22.1/FEATURES
- var/db/pkg/www-apps/gitea-1.22.1/HOMEPAGE
- var/db/pkg/www-apps/gitea-1.22.1/INHERITED
- var/db/pkg/www-apps/gitea-1.22.1/IUSE
- var/db/pkg/www-apps/gitea-1.22.1/IUSE_EFFECTIVE
- var/db/pkg/www-apps/gitea-1.22.1/KEYWORDS
- var/db/pkg/www-apps/gitea-1.22.1/LDFLAGS
- var/db/pkg/www-apps/gitea-1.22.1/LICENSE
- var/db/pkg/www-apps/gitea-1.22.1/NEEDED
- var/db/pkg/www-apps/gitea-1.22.1/NEEDED.ELF.2
- var/db/pkg/www-apps/gitea-1.22.1/PF
- var/db/pkg/www-apps/gitea-1.22.1/RDEPEND
- var/db/pkg/www-apps/gitea-1.22.1/REQUIRES
- var/db/pkg/www-apps/gitea-1.22.1/RESTRICT
- var/db/pkg/www-apps/gitea-1.22.1/SIZE
- var/db/pkg/www-apps/gitea-1.22.1/SLOT
- var/db/pkg/www-apps/gitea-1.22.1/USE
- var/db/pkg/www-apps/gitea-1.22.1/environment.bz2
- var/db/pkg/www-apps/gitea-1.22.1/gitea-1.22.1.ebuild
- var/db/pkg/www-apps/gitea-1.22.1/repository
- var/lib/gitea/.keep_www-apps_gitea-0
- var/lib/gitea/custom/.keep_www-apps_gitea-0
- var/lib/gitea/data/.keep_www-apps_gitea-0
- var/log/gitea/.keep_www-apps_gitea-0
package_cacheimage: ""
runtime:
  name: gitea
  version: 1.22.1+1
  category: www-apps
  use_flags:
  - filecaps
  requires:
  - name: git
    version: '>=0'
    category: dev-vcs
  - name: pam
    version: '>=0'
    category: sys-libs
  - name: tmpfiles
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A painless self-hosted Git service
  uri:
  - https://gitea.com https://github.com/go-gitea/gitea
  license: Apache-2.0 BSD BSD-2 CC0-1.0 ISC MIT MPL-2.0
  labels:
    BDEPEND: '>=dev-lang/go-1.21:= >=dev-lang/go-1.12 app-arch/unzip virtual/pkgconfig'
    DEPEND: sys-libs/pam filecaps? ( sys-libs/libcap ) sys-apps/shadow
    IUSE: systemd +filecaps
    RDEPEND: sys-libs/pam dev-vcs/git virtual/tmpfiles
    emerge.packages: www-apps/gitea
    kit: net-kit
    original.package.name: www-apps/gitea
    original.package.slot: "0"
    original.package.version: 1.22.1
